Skip to content

List messages for a ticket

GET
/projects/{id}/tickets/{ticketId}/messages
curl --request GET \
--url 'https://example.com/api/projects/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/tickets/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/messages?limit=50' \
--header 'Authorization: Bearer <token>'
id
required
string format: uuid

Project UUID

ticketId
required
string format: uuid

Ticket UUID

task_id
string format: uuid

Optional filter by task UUID

since
string format: date-time

Return only messages after this ISO timestamp

limit
integer
default: 50 <= 200

Max messages to return (default 50, max 200)

Messages ordered by created_at ASC

Media type application/json
object
messages
required
Array<object>
object
id
required
string format: uuid
author_type
required
string
Allowed values: human agent
author_id
string | null
body
required
string
task_id
string | null format: uuid
body_format
string | null
Allowed values: markdown plain
created_at
required
string format: date-time

Not authenticated

Media type application/json
object
error
required

Human-readable error message

string
code

Stable machine-readable error code for client branching

string
fieldErrors

First validation message per field path

object
key
additional properties
string
issues

Structured validation issues (Zod)

Array<object>
object
path
required
string
message
required
string
retryAfter

Seconds until rate limit resets (429 responses)

number
reconnect

True if re-linking GitHub may fix the issue

boolean

Forbidden

Media type application/json
object
error
required

Human-readable error message

string
code

Stable machine-readable error code for client branching

string
fieldErrors

First validation message per field path

object
key
additional properties
string
issues

Structured validation issues (Zod)

Array<object>
object
path
required
string
message
required
string
retryAfter

Seconds until rate limit resets (429 responses)

number

Not found

Media type application/json
object
error
required

Human-readable error message

string
code

Stable machine-readable error code for client branching

string
fieldErrors

First validation message per field path

object
key
additional properties
string
issues

Structured validation issues (Zod)

Array<object>
object
path
required
string
message
required
string
retryAfter

Seconds until rate limit resets (429 responses)

number